1. shemnon
  2. javafx-gradle
Issue #25 new

Deploy works in 0.3.0 but fails in 0.4.0

mb 720
created an issue

Hi,

Thanks for your plugin.

I'm on Windows 7 using JDK 1.7.0_51 and I am unable to get a working exe using javafx-gradle 0.4.0: When clicking on the exe a window pops up that says: Unable to find class: com.me.Main. Yet the app starts flawlessly when using 0.3.0.

This is my complete build.gradle:

apply plugin: 'java'
apply plugin: 'eclipse'
apply from: "http://dl.bintray.com/content/shemnon/javafx-gradle/0.4.0/javafx.plugin"

sourceCompatibility = 1.7
version = '0.0.1'
jar {
    manifest {
        attributes 'Implementation-Title': 'MyApp', 'Implementation-Version': version
    }
}

repositories {
    mavenCentral()
}

dependencies {
    compile 'org.slf4j:slf4j-api:1.7.5'
    compile 'org.slf4j:slf4j-jdk14:1.7.5'
    compile 'com.google.guava:guava:16.0'

    // Some jars are not in maven central -> use the jars in this local folder as well
    compile fileTree('libs')  

    testCompile group: 'junit', name: 'junit', version: '4.+'
}

If I change the plugin's version to 0.3.0 the exe works just fine.

I've attached the output of gradle jfxDeploy -debug both for 0.3.0 and 0.4.0.

It would be great if you could help me find the cause of this issue.

Comments (0)

  1. Log in to comment